@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

* {
  margin: 0;
  padding: 0;
}

body,
html {
  height: 100%;
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  font-variation-settings: "wdth" 100;
}

.container {
  width: 100%;
  height: 100%;
  display: flex;
}

.under-construction {
  background-image: url("./assets/under-construction.jpg");

  height: 100%;
  width: 50%;

  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

@media (max-width: 650px) {
  .contact-us {
    text-align: center;
  }
}

.contact-us {
  text-align: center;
  padding: 15px;
  letter-spacing: 1.5px;
}

.contact-us h2 {
  font-size: xxx-large;
  margin-bottom: 10px;
  color: #efb600;
}

.contact-us p {
  font-weight: 400;
  font-size: 24px;
}

.contact-us hr {
  margin-bottom: 10px;
}

.contact-us a {
  color: white;
}

.contact-us-bg-gradient {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  --border-width: 10px;
  margin: 10px;
  position: relative;
  color: white;
  background: #1e1e1e;

  &::after {
    position: absolute;
    content: "";
    top: calc(-1 * var(--border-width));
    left: calc(-1 * var(--border-width));
    z-index: -1;
    width: calc(100% + var(--border-width) * 2);
    height: calc(100% + var(--border-width) * 2);
    background: linear-gradient(
      60deg,
      hsl(224, 85%, 66%),
      hsl(269, 85%, 66%),
      hsl(314, 85%, 66%),
      hsl(359, 85%, 66%),
      hsl(44, 85%, 66%),
      hsl(89, 85%, 66%),
      hsl(134, 85%, 66%),
      hsl(179, 85%, 66%)
    );
    background-size: 300% 300%;
    background-position: 0 50%;
    animation: moveGradient 4s alternate infinite;
  }
}

@keyframes moveGradient {
  50% {
    background-position: 100% 50%;
  }
}

@media (max-width: 768px) {
  .container {
    display: block;
  }

  .under-construction {
    width: 100%;
    height: 42%;
  }

  .contact-us-bg-gradient {
    width: auto;
    height: 55%;
  }
}

@media (max-width: 450px) {
  .contact-us h2 {
    font-size: x-large;
  }

  .contact-us p {
    font-size: 18px;
  }
}
